# An opinionated offline-first web app framework

Consists of two parts.

* A server implementation that uses path based resource apis and a configurable frontend API.
* A client side implementation that uses path based resource syncing

The API is versioned by default to allow for resource evolution.

## Features

* Offline first
  * Etag or hash based resource synchronization
* Built in Authentication
* Built in resource level Authorization

[Design Notes](./DESIGN.md)
